Rysunek Roboczy: Łuk

From FreeCAD Documentation
This page is a translated version of the page Draft Arc and the translation is 100% complete.

Rysunek Roboczy: Łuk

Lokalizacja w menu
Kreślenie → Narzędzia łuku → Łuk
Środowisko pracy
Rysunek Roboczy, BIM
Domyślny skrót
A R
Wprowadzono w wersji
0.7
Zobacz także
Okrąg, Łuk przez trzy punkty

Opis

Polecenie Tworzy różne rodzaje łuków utworzy łuk kołowy w bieżącej płaszczyźnie roboczej ze środka, promienia, kąta początkowego i kąta wierzchołkowego. Promień i kąty mogą być zdefiniowane przez wybranie punktów.

Łuk jest w rzeczywistości obiektem typu okrąg z DANEkątem pierwszym, który nie jest taki sam jak jego DANEkąt drugi.

Łuk zdefiniowany za pomocą czterech punktów, środka, promienia, punkty początku i końca łuku.

Użycie

Zapoznaj się również z informacjami na stronie: Tacka narzędziowa, Przyciąganie oraz Wiązania.

  1. Istnieje kilka sposobów na wywołanie polecenia:
  2. Otworzy się panel zadań Łuk. Zobacz rozdział Opcje, aby uzyskać więcej informacji.
  3. Wybierz pierwszy punkt - środek łuku, w oknie widoku 3D, lub wpisz współrzędne i naciśnij przycisk Wprowadź punkt.
  4. Wybierz drugi punkt w oknie widoku 3D, lub wpisz wartość Promienia.
  5. Wybierz trzeci punkt w oknie widoku 3D, lub wpisz wartość Kąta rozpoczęcia.
  6. Wybierz czwarty punkt w oknie widoku 3D lub wpisz wartość Kąta otwarcia.

Opcje

Skróty klawiaturowe jedno znakowe dostępne w panelu zadań można zmienić. Zobacz stronę Preferencji. Skróty wymienione tutaj są skrótami domyślnymi (w wersji 0.22).

  • Aby ręcznie wprowadzić współrzędne środka, wprowadź składowe X, Y i Z, a następnie naciśnij klawisz Enter po każdej z nich. Możesz też nacisnąć przycisk Wprowadź punkt, gdy masz już wybrane wartości. Wskazane jest, aby przed wprowadzeniem współrzędnych wysunąć kursor poza okno widoku 3D.
  • Naciśnij przycisk G lub kliknij pole wyboru Globalnie, aby przełączyć tryb globalny. Jeśli tryb globalny jest włączony, współrzędne są odniesione do globalnego układu współrzędnych, w przeciwnym razie są one odniesione do układu współrzędnych płaszczyzny roboczej. dostępne w wersji 0.20
  • Naciśnij klawisz N lub kliknij na pole wyboru Kontynuuj, aby przełączyć tryb kontynuacji. Jeśli tryb kontynuacji jest włączony, polecenie uruchomi się ponownie po zakończeniu pracy, pozwalając na dalsze tworzenie łuków.
  • Wciśnij klawisz S by włączyć lub wyłączyć przyciąganie.
  • Naciśnij klawisz Esc lub przycisk Zamknij, aby zakończyć działanie polecenia.

Uwagi

  • Szkic łuku można edytować za pomocą polecenia Edycja.

Ustawienia

Zobacz także strony: Edytor ustawień oraz Rysunek Roboczy: Ustawienia.

  • Jeśli w oknie ustawień opcja Edycja → Preferencje → Rysunek Roboczy → Ustawienia ogólne → Opcje narzędzi do kreślenia → Używaj elementów pierwotnych, gdy jest to możliwe jest zaznaczona, polecenie utworzy okrąg środowiska Część, zamiast okręgu Rysunku Roboczego.

Właściwości

Zobacz stronę Rysunek Roboczy: Okrąg.

Tworzenie skryptów

Zobacz również stronę: Dokumentacja API generowana automatycznie oraz Podstawy tworzenia skryptów FreeCAD.

Aby utworzyć łuk użyj metody make_circle modułu Rysunek Roboczy (dostępne w wersji 0.19). Ta metoda zastępuje przestarzałą metodę makeCircle.

Przykład:

import FreeCAD as App
import Draft

doc = App.newDocument()

arc1 = Draft.make_circle(200, startangle=0, endangle=90)
arc2 = Draft.make_circle(500, startangle=20, endangle=160)
arc3 = Draft.make_circle(750, startangle=-30, endangle=-150)

doc.recompute()